Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service
Class DefaultServiceRegistry

    java.lang.Object
      org.codehaus.xfire.service.DefaultServiceRegistry

All Implemented Interfaces:
  ServiceRegistry

    public class DefaultServiceRegistry

extends java.lang.Object
implements ServiceRegistry

Author:
  Arjen Poutsma

Field Summary

Fields inherited from interface org.codehaus.xfire.service.ServiceRegistry
`ROLE`

Constructor Summary
`DefaultServiceRegistry()`

Method Summary
`void` | `addRegistrationEventListener(RegistrationEventListener listener)` Add a listener for registration events.
`Service` | `getService(java.lang.String name)` Returns the `ServiceEndpoint` with the given qualified name, if found.
`java.util.Collection` | `getServices()` Returns all `ServiceEndpoint` registered to this registry.
`boolean` | `hasService(java.lang.String name)` Indicates whether this registry has a service with the given name.
`void` | `register(Service endpoint)` Registers a given `ServiceEndpoint` with this registry.
`void` | `removeRegistrationEventListener(RegistrationEventListener listener)` Remove a listener for registration events.
`void` | `unregister(java.lang.String name)` Unregisters the service with the given qualified name, if found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultServiceRegistry

    public DefaultServiceRegistry()

Method Detail

### getService

    public Service getService(java.lang.String name)

  Returns the `ServiceEndpoint` with the given qualified name, if found. Returns `null` if not found.

  Specified by:
    `getService` in interface `ServiceRegistry`
  Parameters:
    `name` - the service name.
  Returns:
    the service endpoint, or `null` if not found.

### register

    public void register(Service endpoint)

  Registers a given `ServiceEndpoint` with this registry.

  Specified by:
    `register` in interface `ServiceRegistry`
  Parameters:
    `endpoint` - the endpoint.

### unregister

    public void unregister(java.lang.String name)

  Unregisters the service with the given qualified name, if found.

  Specified by:
    `unregister` in interface `ServiceRegistry`
  Parameters:
    `name` - the service name.

### hasService

    public boolean hasService(java.lang.String name)

  Indicates whether this registry has a service with the given name.

  Specified by:
    `hasService` in interface `ServiceRegistry`
  Parameters:
    `name` - the service name.
  Returns:
    `true` if this registry has a service with the given name; `false` otherwise.

### getServices

    public java.util.Collection getServices()

  Returns all `ServiceEndpoint` registered to this registry.

  Specified by:
    `getServices` in interface `ServiceRegistry`
  Returns:
    all service endpoints.

### addRegistrationEventListener

    public void addRegistrationEventListener(RegistrationEventListener listener)

  Add a listener for registration events.

  Specified by:
    `addRegistrationEventListener` in interface `ServiceRegistry`
  Parameters:
    `listener` - the listener.

### removeRegistrationEventListener

    public void removeRegistrationEventListener(RegistrationEventListener listener)

  Remove a listener for registration events.

  Specified by:
    `removeRegistrationEventListener` in interface `ServiceRegistry`
  Parameters:
    `listener` - the listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.